Pro plot_resid_map
sauron_colormap
file1_name='star.hid2.txt'
;file1_name='sim_py_eval_05.out'
!P.CHARSIZE=1.3
!P.CHARTHICK=1.3
nlines=file_lines(file1_name)
xb1=dblarr(nlines)
yb1=dblarr(nlines)
data1=dblarr(nlines)
data2=dblarr(nlines)
;xb1=dblarr(nlines)
;yb1=dblarr(nlines)
;data1=dblarr(nlines)
;data2=dblarr(nlines)
;data3=dblarr(nlines)
fib_rad=1.56d0
vsys=6.0
PA1=-66.041458
readcol, file1_name, oxb1, oyb1, vdat, vmod, format='(D,D,D,X,D,X,X)', /silent
xb1=oyb1*cos(PA1*!dpi/180.0)+oxb1*sin(PA1*!dpi/180.0)
yb1=oyb1*sin(PA1*!dpi/180.0)-oxb1*cos(PA1*!dpi/180.0)
;readcol, file1_name, xb1, yb1, data1, data2, data3
set_plot, 'ps'
device, filename='gas_plot_resid_map.eps',/color, XSIZE=20, YSIZE=10
ncolors=128
;display_fibers, vdata1, vdata2, vmod, FIBERSIZE=fib_rad, $
;RANGE=[15.0,65.0], POSITION=[15d-2, 15d-2, 0.85d0, 0.85d0]
;colorbar, position=[0.86d0, 0.1d0, 0.9d0, 0.8d0], /VERTICAL, /RIGHT, $
;RANGE=[15.0,65.0], TITLE='km s!U-1!N'
display_fibers, xb1, yb1, vdat-vmod, FIBERSIZE=fib_rad, $
RANGE=[-15.0,15.0], POSITION=[15d-2, 15d-2, 0.85d0, 0.85d0]
colorbar, position=[0.86d0, 0.1d0, 0.9d0, 0.8d0], /VERTICAL, /RIGHT, $
RANGE=[-15.0,15.0], TITLE='km s!U-1!N'
;RANGE=[1d0,30d0], TITLE='!7D!3v!Dlos!N (km s!U-1!N)'
;RANGE=[1d0,30d0], TITLE='!7Dr!3 (km s!U-1!N)'
;RANGE=[-3d0,3d0], TITLE='residual/error'
;RANGE=[-3d0,3d0], TITLE='km s!U-1!N'
;RANGE=[-70.0,70.0], TITLE='H!7d!3'
;RANGE=[0.8,1.6], TITLE='Dn(4000)'
;display_fibers, xb1, yb1, data1, FIBERSIZE=2.05d0, RANGE=[-85d0,85d0], $
;FLUX=data2, TITLE='[OII] Velocity', POSITION=[15d-2, 15d-2, 0.85d0, 0.85d0]
;colorbar, position=[0.86d0, 0.05d0, 0.9d0, 0.95d0], /VERTICAL, /RIGHT, $
;RANGE=[-85d0,85d0], TITLE='km/s'
device, /close
set_plot, 'x'
END
